Tp::Service::ConnectionInterfaceBalanceAdaptor Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Signals | Public Member Functions | List of all members
Tp::Service::ConnectionInterfaceBalanceAdaptor Class Reference
Connection service implementation

`#include <TelepathyQt/_gen/svc-connection.h>`

Inherits Tp::AbstractAdaptor.

## Signals
void | BalanceChanged (const Tp::CurrencyAmount &balance)

## Public Member Functions
Tp::CurrencyAmount | AccountBalance () const
QString | ManageCreditURI () const
Public Member Functions inherited from Tp::AbstractAdaptor
| AbstractAdaptor (const QDBusConnection &connection, QObject *adaptee, QObject *parent)
| ~AbstractAdaptor ()
QDBusConnection | dbusConnection () const
QObject * | adaptee () const

## Detailed Description

Adaptor class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Connection.Interface.Balance".

## Member Function Documentation

Tp::CurrencyAmount Tp::Service::ConnectionInterfaceBalanceAdaptor::AccountBalance | ( |  | ) | const

Return the value of the exported D-Bus object property `AccountBalance` of type `Tp::CurrencyAmount`.

Adaptees should export this property as a Qt property named 'accountBalance' with type Tp::CurrencyAmount.

The user's balance on the account corresponding to this ConnectionInterface . A negative amount may be possible on some services, and indicates that the user owes money to the service provider.

On initial connection, this property may have an unknown value, represented by Amount = `0`, Scale = `2**32 - 1` (the largest possible 32-bit unsigned integer) and Currency = `""`.

Returns
  The value of exported property `AccountBalance`.

QString Tp::Service::ConnectionInterfaceBalanceAdaptor::ManageCreditURI | ( |  | ) | const

Return the value of the exported D-Bus object property `ManageCreditURI` of type `QString`.

Adaptees should export this property as a Qt property named 'manageCreditURI' with type QString.

A URI the user may visit via the web browser to manage and top-up their account balance. This property is not guaranteed to be well-defined until the connection becomes Connected; there is no change notification. Different protocols and even servers or gateways (e.g. SIP and XMPP PSTN gateways) will have a different website used to manage a user's account balance. This property enables the client to provide that to the user. A Connection Manager MAY set this itself (because it is static or discoverable), or expose it as a connection parameter.

Returns
  The value of exported property `ManageCreditURI`.

void Tp::Service::ConnectionInterfaceBalanceAdaptor::BalanceChanged | ( | const Tp::CurrencyAmount & | balance | ) |
| signal

Represents the exported D-Bus signal `BalanceChanged` on this object.

Adaptees should export this signal as a Qt signal with the following signature: void balanceChanged(const Tp::CurrencyAmount& balance);

The adaptee signal will be automatically relayed as a D-Bus signal once emitted.

Parameters

  balance | The new value of the \\\ \\link requestPropertyAccountBalance() AccountBalance \\endlink \\htmlonly property.